GDB (xrefs)

Classes | Macros | Typedefs | Enumerations | Functions
/tmp/gdb-8.1/gdb/jit-reader.h File Reference

Go to the source code of this file.

## Classes
struct | gdb_line_mapping
struct | gdb_symbol_callbacks
struct | gdb_reg_value
struct | gdb_frame_id
struct | gdb_unwind_callbacks
struct | gdb_reader_funcs

## Macros
#define | GDB_READER_INTERFACE_VERSION 1
#define | GDB_DECLARE_GPL_COMPATIBLE_READER

## Typedefs
typedef unsigned long | GDB_CORE_ADDR
typedef struct gdb_object *() | gdb_object_open(struct gdb_symbol_callbacks *cb)
typedef struct gdb_symtab *() | gdb_symtab_open(struct gdb_symbol_callbacks *cb, struct gdb_object *obj, const char *file_name)
typedef struct gdb_block *() | gdb_block_open(struct gdb_symbol_callbacks *cb, struct gdb_symtab *symtab, struct gdb_block *parent, GDB_CORE_ADDR begin, GDB_CORE_ADDR end, const char *name)
typedef void() | gdb_symtab_add_line_mapping(struct gdb_symbol_callbacks *cb, struct gdb_symtab *symtab, int nlines, struct gdb_line_mapping *lines)
typedef void() | gdb_symtab_close(struct gdb_symbol_callbacks *cb, struct gdb_symtab *symtab)
typedef void() | gdb_object_close(struct gdb_symbol_callbacks *cb, struct gdb_object *obj)
typedef void() | gdb_reg_value_free(struct gdb_reg_value *)
typedef struct gdb_reg_value *() | gdb_unwind_reg_get(struct gdb_unwind_callbacks *cb, int regnum)
typedef void() | gdb_unwind_reg_set(struct gdb_unwind_callbacks *cb, int regnum, struct gdb_reg_value *val)
typedef void() | gdb_destroy_reader(struct gdb_reader_funcs *self)

## Enumerations
enum | gdb_status { GDB_FAIL = 0, GDB_SUCCESS = 1 }

## Functions
enum gdb_status() | gdb_target_read (GDB_CORE_ADDR target_mem, void *gdb_buf, int len)
enum gdb_status() | gdb_read_debug_info (struct gdb_reader_funcs *self, struct gdb_symbol_callbacks *cb, void *memory, long memory_sz)
enum gdb_status() | gdb_unwind_frame (struct gdb_reader_funcs *self, struct gdb_unwind_callbacks *cb)
struct gdb_frame_id() | gdb_get_frame_id (struct gdb_reader_funcs *self, struct gdb_unwind_callbacks *c)
struct gdb_reader_funcs * | gdb_init_reader (void)

## Macro Definition Documentation

## ◆ GDB_DECLARE_GPL_COMPATIBLE_READER

#define GDB_DECLARE_GPL_COMPATIBLE_READER

Value:
extern int plugin_is_GPL_compatible (void); \
extern int plugin_is_GPL_compatible (void) \
{ \
return 0; \
}

Definition at line 48 of file jit-reader.h.

## ◆ GDB_READER_INTERFACE_VERSION

#define GDB_READER_INTERFACE_VERSION 1

Definition at line 29 of file jit-reader.h.

Referenced by jit_reader_load().

## Typedef Documentation

## ◆ gdb_block_open

typedef struct gdb_block*() gdb_block_open(struct gdb_symbol_callbacks *cb, struct gdb_symtab *symtab, struct gdb_block *parent, GDB_CORE_ADDR begin, GDB_CORE_ADDR end, const char *name)

Definition at line 114 of file jit-reader.h.

## ◆ GDB_CORE_ADDR

typedef unsigned long GDB_CORE_ADDR

Definition at line 59 of file jit-reader.h.

## ◆ gdb_destroy_reader

typedef void() gdb_destroy_reader(struct gdb_reader_funcs *self)

Definition at line 312 of file jit-reader.h.

## ◆ gdb_object_close

typedef void() gdb_object_close(struct gdb_symbol_callbacks *cb, struct gdb_object *obj)

Definition at line 142 of file jit-reader.h.

## ◆ gdb_object_open

typedef struct gdb_object*() gdb_object_open(struct gdb_symbol_callbacks *cb)

Definition at line 85 of file jit-reader.h.

## ◆ gdb_reg_value_free

typedef void() gdb_reg_value_free(struct gdb_reg_value *)

Definition at line 179 of file jit-reader.h.

## ◆ gdb_symtab_add_line_mapping

typedef void() gdb_symtab_add_line_mapping(struct gdb_symbol_callbacks *cb, struct gdb_symtab *symtab, int nlines, struct gdb_line_mapping *lines)

Definition at line 125 of file jit-reader.h.

## ◆ gdb_symtab_close

typedef void() gdb_symtab_close(struct gdb_symbol_callbacks *cb, struct gdb_symtab *symtab)

Definition at line 133 of file jit-reader.h.

## ◆ gdb_symtab_open

typedef struct gdb_symtab*() gdb_symtab_open(struct gdb_symbol_callbacks *cb, struct gdb_object *obj, const char *file_name)

Definition at line 95 of file jit-reader.h.

## ◆ gdb_unwind_reg_get

typedef struct gdb_reg_value*() gdb_unwind_reg_get(struct gdb_unwind_callbacks *cb, int regnum)

Definition at line 247 of file jit-reader.h.

## ◆ gdb_unwind_reg_set

typedef void() gdb_unwind_reg_set(struct gdb_unwind_callbacks *cb, int regnum, struct gdb_reg_value *val)

Definition at line 260 of file jit-reader.h.

## Enumeration Type Documentation

## ◆ gdb_status

enum gdb_status

Enumerator
GDB_FAIL |
GDB_SUCCESS |

Definition at line 63 of file jit-reader.h.

## Function Documentation

## ◆ gdb_get_frame_id()

struct gdb_frame_id() gdb_get_frame_id | ( | struct gdb_reader_funcs * | self,
|  | struct gdb_unwind_callbacks * | c
| ) |  |

## ◆ gdb_init_reader()

struct gdb_reader_funcs* gdb_init_reader | ( | void |  | ) |

## ◆ gdb_read_debug_info()

enum gdb_status() gdb_read_debug_info | ( | struct gdb_reader_funcs * | self,
|  | struct gdb_symbol_callbacks * | cb,
|  | void * | memory,
|  | long | memory_sz
| ) |  |

## ◆ gdb_target_read()

enum gdb_status() gdb_target_read | ( | GDB_CORE_ADDR | target_mem,
|  | void * | gdb_buf,
|  | int | len
| ) |  |

## ◆ gdb_unwind_frame()

enum gdb_status() gdb_unwind_frame | ( | struct gdb_reader_funcs * | self,
|  | struct gdb_unwind_callbacks * | cb
| ) |  |